package com.mx.cneeds.server.wechat.common.json;

/**
 * @ClassName JsonMessage
 * @Author zzrdark
 * @Date 2020-06-23 17:36
 * @Description TODO
 **/
public class WechatJsonMessage {


    /**
     * account : 18351837032
     * data : {"content":"私聊文字消息测试","fromUser":"zhongweiyu789","msgId":1114311117,"newMsgId":7032628722018977792,"self":false,"timestamp":1591325316,"toUser":"wxid_fj9ghhitl4qm22","wId":"d6a0cb7d-da8c-488a-a119-f8594984e0c7"}
     * messageType : 5
     * wcId : wxid_fj9ghhitl4qm22
     */

    private String account;
    private DataBean data;
    private int messageType;
    private String wcId;

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public int getMessageType() {
        return messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public String getWcId() {
        return wcId;
    }

    public void setWcId(String wcId) {
        this.wcId = wcId;
    }

    public static class DataBean {
        /**
         * content : 私聊文字消息测试
         * fromUser : zhongweiyu789
         * msgId : 1114311117
         * newMsgId : 7032628722018977792
         * self : false
         * timestamp : 1591325316
         * toUser : wxid_fj9ghhitl4qm22
         * wId : d6a0cb7d-da8c-488a-a119-f8594984e0c7
         */

        private String content;
        private String fromGroup;
        private String fromUser;
        private int msgId;
        private long newMsgId;
        private boolean self;
        private int timestamp;
        private String toUser;
        private String wId;
        private Long voiceLength;



        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getFromGroup() {
            return fromGroup;
        }

        public void setFromGroup(String fromGroup) {
            this.fromGroup = fromGroup;
        }

        public String getFromUser() {
            return fromUser;
        }

        public void setFromUser(String fromUser) {
            this.fromUser = fromUser;
        }

        public int getMsgId() {
            return msgId;
        }

        public void setMsgId(int msgId) {
            this.msgId = msgId;
        }

        public long getNewMsgId() {
            return newMsgId;
        }

        public void setNewMsgId(long newMsgId) {
            this.newMsgId = newMsgId;
        }

        public boolean isSelf() {
            return self;
        }

        public void setSelf(boolean self) {
            this.self = self;
        }

        public int getTimestamp() {
            return timestamp;
        }

        public void setTimestamp(int timestamp) {
            this.timestamp = timestamp;
        }

        public String getToUser() {
            return toUser;
        }

        public void setToUser(String toUser) {
            this.toUser = toUser;
        }

        public String getWId() {
            return wId;
        }

        public void setWId(String wId) {
            this.wId = wId;
        }

        public Long getVoiceLength() {
            return voiceLength;
        }

        public void setVoiceLength(Long voiceLength) {
            this.voiceLength = voiceLength;
        }
    }
}
